image: registry.gitlab.com/90cos/docker-definitions/generic-cyt

workflow:
    rules:
        - if: $CI_MERGE_REQUEST_ID
        - if: $CI_COMMIT_TAG
        - if: $CI_COMMIT_BRANCH == "master"

stages:
    - Test

variables:
    MONGO_HOST: mongo
    MONGO_PORT: 27017

run_other_script_tests:
    stage: Test
    services:
        - mongo:latest
    script:
        - pwd
        - pip3 install -r requirements.txt
        - python3 -m unittest discover unit_tests/other_script_tests -v

run_exam_gen_tests:
    stage: Test
    services:
        - mongo:latest
    script:
        - pwd
        - pip3 install -r requirements.txt
        - python3 -m unittest discover unit_tests/exam_gen_tests -v
    allow_failure: true

run_file_check_tests:
    stage: Test
    script:
        - pwd
        - pip3 install -r requirements.txt
        - python3 -m unittest discover unit_tests/file_check_tests -v

run_csv_gen_script_tests:
    stage: Test
    services:
        - mongo:latest
    script:
        - pwd
        - pip3 install -r requirements.txt
        - python3 -m unittest discover unit_tests/csv_gen_script_tests -v

run_markdown_script_tests:
    stage: Test
    script:
        - pwd
        - pip3 install -r requirements.txt
        - python3 -m unittest discover unit_tests/markdown_script_tests -v

run_validation_script_tests:
    stage: Test
    script:
        - pwd
        - pip3 install -r requirements.txt
        - python3 -m unittest discover unit_tests/validation_script_tests -v
